Subject: Additions to LIST commands

From: Julien ÉLIE <[email-masked]>
Date: Tue, 17 Nov 2009 20:12:27 +0100

Hi,

I have just posted the following proposal for:

    * LIST DISTRIBUTIONS
    * LIST MODERATORS
    * LIST MOTD
    * LIST SUBSCRIPTIONS
    * new status for newsgroups returned by LIST ACTIVE

Comments are welcome!

Especially on:

    * how to advertise the meaning of new status;
    * how to write an extension of RFC 3977 without defining
      a new capability;
    * how to deal with the fact that RFC 3696 limits the local part
      of an e-mail address to 64 characters whereas USEAGE mentions
      that a newsgroup name is limited to 66 characters (therefore,
      what for the submission address of a moderated newsgroup whose
      length is 66 characters?).

Follow up on either the NNTP mailing-list or the USEFOR mailing-list,
depending on the subject you want to tackle.

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
> Title : Network News Transfer Protocol (NNTP) Additions to LIST Command
> Author(s) : J. Elie
> Filename : draft-elie-nntp-list-additions-00.txt
> Pages : 21
> Date : 2009-11-17
>
> This document defines a set of enhancements to the Network News
>   Transfer Protocol (NNTP) that allows a client to request extended
>   information maintained by NNTP servers as for local use and
>   distribution policy.  These enhancements are made as new keywords to
>   the existing LIST capability described in RFC 3977.
>
>   This memo updates and formalizes the LIST DISTRIBUTIONS and LIST
>   SUBSCRIPTIONS commands defined in RFC 2980.  It also adds the LIST
>   MODERATORS and LIST MOTD commands, and specifies additional values
>   returned by the existing LIST ACTIVE command for the status of a
>   newsgroup.
>
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-elie-nntp-list-additions-00.txt

-- 
Julien ÉLIE

« Un seul être vous manque et tout est dépeuplé. » (Alphonse de Lamartine)